<div>
    <h2>
        <span jhiTranslate="twentyonepointsApp.preferences.home.title">Preferences</span>
        <button class="btn btn-primary float-right jh-create-entity create-preferences" [routerLink]="['/', { outlets: { popup: ['preferences-new'] } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="twentyonepointsApp.preferences.home.createLabel">
            Create new Preferences
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="preferences">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span jhiTranslate="global.field.id">ID</span></th>
            <th><span jhiTranslate="twentyonepointsApp.preferences.weeklyGoal">Weekly Goal</span></th>
            <th><span jhiTranslate="twentyonepointsApp.preferences.weightUnits">Weight Units</span></th>
            <th><span jhiTranslate="twentyonepointsApp.preferences.user">User</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let preferences of preferences ;trackBy: trackId">
                <td><a [routerLink]="['../preferences', preferences.id ]">{{preferences.id}}</a></td>
                <td>{{preferences.weeklyGoal}}</td>
                <td jhiTranslate="{{'twentyonepointsApp.Units.' + preferences.weightUnits}}">{{preferences.weightUnits}}</td>
                <td>
                    {{preferences.user?.login}}
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../preferences', preferences.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'preferences/'+ preferences.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'preferences/'+ preferences.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
